<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>        := <a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a>; <br><font FACE="Sans-serif" color="#000000"><B> Aucun Auto-Cast pour l'instant...(peut etre</B></font>
                              <br><font FACE="Sans-serif" color="#000000"><B> INTEGER_BIG ...)</B></font>
                               
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     := <font color="#BC8F8F">"Integer without bits limit! (Just for fun!)"</font>;

  <br><font FACE="Sans-serif" color="#000000"><B>- default     := 0;</B></font>

<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_unsigned</font></strong>:<a href="UNSIGNED.html"><font color="#008000">UNSIGNED</font></a> := 

<br><br><strong><font color="#A020F0">Section</font></strong> <a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">storage</font></strong>:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_modulo</font></strong>:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> init:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a> :<font color="#008000">SELF</font> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">count</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">lower</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">upper</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">item</font></strong> idx:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">copy</font></strong> other:<a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">force</font></strong> elt:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a> <strong><font color="#0000FF">to</font></strong> idx:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">put</font></strong> elt:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a> <strong><font color="#0000FF">to</font></strong> idx:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">add_last</font></strong> elt:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">resize</font></strong> new_size:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
<br><br><strong><font color="#A020F0">Section</font></strong> <a href="INTEGER.html"><font color="#008000">INTEGER</font></a>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> init:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a> :<a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a> <- 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">object_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-  
 
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Range.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">maximum</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> <- 
      
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversion format with test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_64</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a>   <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger</font></strong>:<a href="UINTEGER.html"><font color="#008000">UINTEGER</font></a>   <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_16</font></strong>:<a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_8</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_64</font></strong>:<a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a>     <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>     <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_16</font></strong>:<a href="INTEGER_16.html"><font color="#008000">INTEGER_16</font></a>   <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer_8</font></strong>:<a href="INTEGER_8.html"><font color="#008000">INTEGER_8</font></a>   <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B>- to_ureal_26_6:UREAL_26_6 <- self;</B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_ulargeint</font></strong>:<a href="UINTEGER_BIG.html"><font color="#008000">UINTEGER_BIG</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">clean</font></strong> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> binary operator :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
    
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-#</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <-
    
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">+</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
    
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">+#</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">80</font>  other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <-
    
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">*</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">*#</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">/</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <- 
    
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">/#</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<font color="#008000">SELF</font> <-
    
  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">&</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">100</font> other:<font color="#008000">SELF</font> :<font color="#008000">SELF</font> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Test binary operator :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">></font>'   <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
    
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">>#</font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">==</font>'  <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">60</font> other:<font color="#008000">SELF</font> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> prefix : Unary operator</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">~</font>' :<font color="#008000">SELF</font> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-</font>' :<font color="#008000">SELF</font> <-
  

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">factorial</font></strong>:<font color="#008000">SELF</font> <-
    

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> conversion</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> buffer:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Append in the `buffer' the equivalent of `to_string'. No new STRING</font></strong></em>
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  creation during the process.</font></strong></em>
    




</body>
</html>

